Bug 1311168 - Address feedback on Chapter 4
Address feedback on Chapter 4
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Docs Install Guide (Show other bugs)
Unspecified
Unspecified Unspecified
medium Severity medium (vote)
: Beta
: 6.2
Assigned To: Allison Heslin
Brandi
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-23 09:42 EST by Allison Heslin
Modified: 2016-04-27 19:57 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-04-27 19:57:40 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Allison Heslin 2016-02-23 09:42:21 EST
* The introduction to this section is a repeat of text elsewhere. For the sake of brevity I would remove this.

* 4.4.2. Configuring DNS and DHCP on Capsule Server
It’s not clear to me just what this section’s description is trying to state. 

Configure DNS and DHCP on Capsule Server
Run capsule installer with the options applicable to your environment.
How does a customer know which options are applicable to their environment? From where are the values for “capsule-installer” obtained?

* 4.2 Downloading and Installing Capsule Server
Step 2: Change to subscription-manager attach

Step 3: Change to: subscription-manager repos --disable ‘’*’’

* 4.3.1 Configure Capsule with a Custom Server Certificate Before Running the capsule-certs-generate Command

Step 3: Env doesn’t work. Remove --env [environment]/[content_view_name] and replace with --environment <user_environment_name> (or something similar)

Step 4: Need to add step to copy and paste the output from step 1. Users absolutely need that. What is currently listed are additional options. Need to clarify.

* 4.4.2: Configuring DNS and DHCP on Capsule Server

Step 1: The output, while shown as an example, could lead to users copying and pasting what’s there. Need to clarify that it’s an example. Maybe include the example after a more clear idea of what the user input should look like. (For example, show this --foreman-oauth-key    "<your_organization_key"\ or something similar)

* Section 4.1

"The Satellite Server’s base system must be able to resolve the host name of the Capsule
Server’s base system." - The converse of this is true as well and should be added:

"The Capsule Server’s base system must be able to resolve the host name of the Satellite
Server’s base system.


* Section 4.2

subscription-manager subscribe is deprecated. Use subscription-manager attach.

Section 4.4.1.

--bmc is a flag for what command? capsule-installer?
Comment 1 Allison Heslin 2016-03-02 14:36:29 EST
* The introduction to this section is a repeat of text elsewhere. For the sake of brevity I would remove this.
[Ali] DONE I removed all but the link to the pre-req section.

* 4.4.2. Configuring DNS and DHCP on Capsule Server
It’s not clear to me just what this section’s description is trying to state. 
[Ali] DONE I changed it to be in sync with the Satellite equivalent task.

Configure DNS and DHCP on Capsule Server
Run capsule installer with the options applicable to your environment.
How does a customer know which options are applicable to their environment? From where are the values for “capsule-installer” obtained?
[Ali] DONE Added a line to the katello-installer --help command.

* 4.2 Downloading and Installing Capsule Server
Step 2: Change to subscription-manager attach
[Ali] DONE

Step 3: Change to: subscription-manager repos --disable ‘’*’’
[Ali] DONE

* 4.3.1 Configure Capsule with a Custom Server Certificate Before Running the capsule-certs-generate Command

Step 3: Env doesn’t work. Remove --env [environment]/[content_view_name] and replace with --environment <user_environment_name> (or something similar)
[Ali] DONE

Step 4: Need to add step to copy and paste the output from step 1. Users absolutely need that. What is currently listed are additional options. Need to clarify.
[Ali] Need to get the output for the step 1 command to direct users as to what they need to copy/paste.

* 4.4.2: Configuring DNS and DHCP on Capsule Server

Step 1: The output, while shown as an example, could lead to users copying and pasting what’s there. Need to clarify that it’s an example. Maybe include the example after a more clear idea of what the user input should look like. (For example, show this --foreman-oauth-key    "<your_organization_key"\ or something similar)
[Ali] DONE

* Section 4.1

"The Satellite Server’s base system must be able to resolve the host name of the Capsule
Server’s base system." - The converse of this is true as well and should be added:

"The Capsule Server’s base system must be able to resolve the host name of the Satellite
Server’s base system.
[Ali] DONE Added vice versa rather than spell the whole thing out again.


* Section 4.2

subscription-manager subscribe is deprecated. Use subscription-manager attach.
[Ali] DONE
Comment 2 Allison Heslin 2016-03-02 14:40:43 EST
Also this: Section 4.4.1.

--bmc is a flag for what command? capsule-installer?
[Ali] DONE Added the actual command too
Comment 3 Allison Heslin 2016-03-03 09:51:14 EST
I reorganized the Installing Capsule Server section so that it mirrored the Satellite Server installation for a consistent user experience.
Comment 6 Andrew Dahms 2016-04-27 19:57:40 EDT
This content is now live on the Customer Portal.

Closing.

Note You need to log in before you can comment on or make changes to this bug.